Page MenuHomePhabricator

[RISCV][ASAN] implementation of clone interceptor for riscv64
ClosedPublic

Authored by EccoTheDolphin on Sep 12 2020, 6:02 PM.

Details

Summary

[4/11] patch series to port ASAN for riscv64

Depends On D87572

Diff Detail

Event Timeline

EccoTheDolphin created this revision.Sep 12 2020, 6:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 12 2020, 6:02 PM
Herald added subscribers: Restricted Project, evandro, luismarques and 11 others. · View Herald Transcript
EccoTheDolphin requested review of this revision.Sep 12 2020, 6:02 PM
smd added a subscriber: smd.Sep 14 2020, 9:38 AM
eugenis accepted this revision.Sep 16 2020, 2:34 PM
eugenis added a subscriber: eugenis.

Since this does not affect non-riscv targets, I'll trust your knowledge and test coverage.

LGTM

This revision is now accepted and ready to land.Sep 16 2020, 2:34 PM

removed deprecated comment

EccoTheDolphin retitled this revision from [RISCV][ASAN] implementation for clone interceptor to [RISCV][ASAN] implementation of clone interceptor for riscv64.Sep 20 2020, 11:28 PM
EccoTheDolphin edited the summary of this revision. (Show Details)
vitalybuka accepted this revision.Sep 21 2020, 1:49 AM

addressing comments/rebasing

EccoTheDolphin edited the summary of this revision. (Show Details)Sep 22 2020, 11:38 AM

addressing comments

This revision was landed with ongoing or failed builds.Sep 22 2020, 10:11 PM
This revision was automatically updated to reflect the committed changes.